Description

It should be nice if there were a click-able button to switch between away and available states.
If would particularly appreciate if this option were available in the tray icon context menu.

History

#1 - 03/02/2009 03:33 AM - HappySmileMan
- File awayButtons.diff added

Dekans wrote:

It should be nice if there were a click-able button to switch between away and available states.
If would particularly appreciate if this option were available in the tray icon context menu.

Made a patch to add Back and Away buttons to toolbar, they function just like the connect/disconnect buttons there, so you can click the button to set
as away/back from all servers, or get a drop-down to do it on a per-server basis, listing only relevant ones (i.e. The "Back" drop down menu will list
only servers you're currently away from, and vice-versa)

In addition to obvious Ul changes and extra actions, it adds an "away" property to the Network class to handle this better, for example it wasn't
possible to connect the "awaySet()" signal of "network->me()" just after connecting to the server (or while not connected), and calling isAway() would
have caused a crash.

Now it's possible to call network->isAway() even while still connecting (or while disconnected, but this doesn't happen and wouldn't be useful,
although this way it avoids the possibility of a crash in those circumstances). If it's still connecting it returns false, since you can't be set away until
after you connect.

Right now this patch will show the "Back" button with "im-user", since | can't see any more suitable icons. The "Away" button is set to use the
"im-user-away" icon (maybe "user-away" might be better?), but since there is no 22x22 icon included in this (and | don't know how to make one) it just
shows up the text "Away".

#2 - 03/04/2009 07:56 PM - HappySmileMan
- File away.diff added

This is an update to the above patch, | noticed that the buttons at the bottom of drop-down menus (Connect to all, Disconnect from all, Away from all,
Back from all) didn't work, so this fixes that, and also tidies up code a bit to make it easier to add menus, not sure the developers would appreciate
this "tidying" if they had plans of their own, but I'm not really expecting these patches to be incorporated anyway, | just got bored and wanted to code.

#3 - 04/05/2010 01:53 PM - ralfjung-e

| am using Quassel 0.5.2 as it comes pre-installed with Kubuntu, i.e. without a dedicated server (can't afford that). Currently, if | want myself to be
marked as "away" on all connected networks, | have to use the "/away" command on each network individually. | was told as #quassel that the "core"
(if that's the name of the server component) will automatically go to away when the client disconnects, but of course that does not work when Quassel
is used as standalone application. So it would be great to have some button, maybe displayed only when Quassel is in standalone mode, to quickly
mark myself as being away/back on all networks.

And maybe the "Away log" will then also do something, because currently it's always empty for me.

#4 - 04/05/2010 02:16 PM - Sputnick

- Status changed from New to Confirmed

#5 - 04/05/2010 02:24 PM - Sputnick
- Status changed from Confirmed to Assigned

- Assignee set to Sputnick
#6 - 04/05/2010 02:37 PM - Sputnick
- Status changed from Assigned to Confirmed

- Assignee deleted (Sputnick)

#7 - 04/24/2013 07:54 PM - Anonymous

- Target version set to Some future release

Files
awayButtons.diff 15.1 KB 03/02/2009 HappySmileMan
away.diff 17.2 KB 03/04/2009 HappySmileMan
